-- Schema: C6Mart
-- Stored Procedure: PL_D_S164PolizzeAltriIstituti

-- =============================================
-- Author:		Marco Gentilezza
-- Create date: 
-- Description:	
-- =============================================
--C6Mart.PL_D_S164PolizzeAltriIstituti 'S', 'VGNVLR52C31G702Z'
CREATE procedure [C6Mart].[PL_D_S164PolizzeAltriIstituti] 

	@Rete char(1), 
	@CodiceFiscale varchar(16)

AS

BEGIN

	SELECT     

		PATRTERZI.INTERMEDIARIO AS Intermediario,
		dbo.toShortDateString(PATRTERZI.DATA_SOTTOSCRIZIONE) AS DataDiSottoscrizione,
		dbo.toShortDateString(PATRTERZI.DATA_SCADENZA) AS DataDiScadenza,
		PATRTERZI.TIPO_POLIZZA AS TipologiaPolizza, 
		ANAGTERZI.NOME_PRODOTTO AS Descrizione,
		NULL AS Aggiornamento, 
		PATRTERZI.CTV AS PrestazioneAssicurata, 
		PATRTERZI.TIPO_PRODOTTO AS TipoVersamento, 
		isnull(PATRTERZI.VERSATO_NETTO, 0) AS AmmontareVersamento 

	FROM 
		C6MART.PATRIMONIO_TERZI AS PATRTERZI
	INNER JOIN 
		C6MART.ANAG_PRODOTTI_TERZI AS ANAGTERZI
		ON 
			PATRTERZI.COD_PRODOTTO_TERZI = ANAGTERZI.COD_PRODOTTO_TERZI 			
			AND ANAGTERZI.DESCR_PRODOTTO = 'Assets.FinancialAssets.PolizzeRivalutabili'
	WHERE  PATRTERZI.RETE = @Rete
		AND PATRTERZI.COD_FISCALE = @CodiceFiscale

END


